[ QCouchPotato ] [ 160822 ] Movie Downloader

QoolBox

Grand Maître Jedi
couch.png


Source : https://couchpota.to/

CouchPotato est une application qui vérifie sur Usenet ou sur le réseau BitTorrent s’il y a de nouveaux films disponibles au téléchargement.
Il vous suffit de remplir une liste de films que vous attendez impatiemment, de choisir la qualité souhaitée (comme BluRay, DTS, DVD, etc…)

Download :

http://www.positiv-it.fr/QNAP/APP/QCouchPotato_150714_x86.zip

[ Actual Release ]

x86 Version : http://www.positiv-it.fr/QNAP/APP/QCouchPotato_150918_x86.zip
ARM x31 Version : http://www.positiv-it.fr/QNAP/APP/QCouchPotato_150918_arm-x31.zip

x86 Version : http://www.positiv-it.fr/QNAP/APP/QCouchPotato_160822_x86.zip
x64 Version : http://www.positiv-it.fr/QNAP/APP/QCouchPotato_160822_x86_64.zip
ARM x31 Version : http://www.positiv-it.fr/QNAP/APP/QCouchPotato_160822_arm-x31.zip




6845.jpg
 

wacko37

Nouveau membre
@QoolBox

Mate cant thank enough for SLL updates to couchpotato, i have been using it for a month now and i keep getting 1 error when the renamer is started.

Everthing renames ok but thought you might like to know. From the logs it looks like it is still looking for the Python 2.7 QPKG see below

06-04 18:10:19 ERROR [ couchpotato.core.event] Error in event "renamer.after", that wasn't caught: Traceback (most recent call last):
File "/share/MD0_DATA/.qpkg/CouchPotato2/CouchPotato2/couchpotato/core/event.py", line 15, in runHandler
return handler(*args, **kwargs)
File "/share/MD0_DATA/.qpkg/CouchPotato2/CouchPotato2/couchpotato/core/notifications/base.py", line 41, in notify
return self._notify(message = message, data = data if data else group, listener = listener)
File "/share/MD0_DATA/.qpkg/CouchPotato2/CouchPotato2/couchpotato/core/notifications/base.py", line 50, in _notify
return self.notify(*args, **kwargs)
File "/share/MD0_DATA/.qpkg/CouchPotato2/CouchPotato2/couchpotato/core/notifications/notifymyandroid.py", line 27, in notify
batch_mode = len(keys) > 1
File "/share/MD0_DATA/.qpkg/CouchPotato2/CouchPotato2/libs/pynma/pynma.py", line 106, in push
res = self.callapi('POST', ADD_PATH, datas)
File "/share/MD0_DATA/.qpkg/CouchPotato2/CouchPotato2/libs/pynma/pynma.py", line 119, in callapi
http_handler.request(method, path, urlencode(args), headers)
File "/opt/QPython2/lib/python2.7/httplib.py", line 1001, in request
self._send_request(method, url, body, headers)
File "/opt/QPython2/lib/python2.7/httplib.py", line 1035, in _send_request
self.endheaders(body)
File "/opt/QPython2/lib/python2.7/httplib.py", line 997, in endheaders
self._send_output(message_body)
File "/opt/QPython2/lib/python2.7/httplib.py", line 850, in _send_output
self.send(msg)
File "/opt/QPython2/lib/python2.7/httplib.py", line 812, in send
self.connect()
File "/opt/QPython2/lib/python2.7/httplib.py", line 1212, in connect
server_hostname=server_hostname)
File "/opt/QPython2/lib/python2.7/ssl.py", line 350, in wrap_socket
_context=self)
File "/opt/QPython2/lib/python2.7/ssl.py", line 566, in __init__
self.do_handshake()
File "/opt/QPython2/lib/python2.7/ssl.py", line 788, in do_handshake
self._sslobj.do_handshake()
SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:581)
encoding=UTF-8 debug=False args=['--data_dir', '/share/MD0_DATA/.qpkg/CouchPotato2/config', '--daemon', '--pid_file', '/share/MD0_DATA/.qpkg/CouchPotato2/config/couchpotato.pid'] app_dir=/share/MD0_DATA/.qpkg/CouchPotato2/CouchPotato2 data_dir=/share/MD0_DATA/.qpkg/CouchPotato2/config desktop=None options=Namespace(config_file='/share/MD0_DATA/.qpkg/CouchPotato2/config/settings.conf', console_log=False, daemon=True, data_dir='/share/MD0_DATA/.qpkg/CouchPotato2/config', debug=False, pid_file='/share/MD0_DATA/.qpkg/CouchPotato2/config/couchpotato.pid', quiet=False)

Should i reinstall the Python 2.7 QPKG?
 

QoolBox

Grand Maître Jedi
wacko37 a dit:
@QoolBox

Mate cant thank enough for SLL updates to couchpotato, i have been using it for a month now and i keep getting 1 error when the renamer is started.

Everthing renames ok but thought you might like to know. From the logs it looks like it is still looking for the Python 2.7 QPKG see below

06-04 18:10:19 ERROR [ couchpotato.core.event] Error in event "renamer.after", that wasn't caught: Traceback (most recent call last):
File "/share/MD0_DATA/.qpkg/CouchPotato2/CouchPotato2/couchpotato/core/event.py", line 15, in runHandler
return handler(*args, **kwargs)
File "/share/MD0_DATA/.qpkg/CouchPotato2/CouchPotato2/couchpotato/core/notifications/base.py", line 41, in notify
return self._notify(message = message, data = data if data else group, listener = listener)
File "/share/MD0_DATA/.qpkg/CouchPotato2/CouchPotato2/couchpotato/core/notifications/base.py", line 50, in _notify
return self.notify(*args, **kwargs)
File "/share/MD0_DATA/.qpkg/CouchPotato2/CouchPotato2/couchpotato/core/notifications/notifymyandroid.py", line 27, in notify
batch_mode = len(keys) > 1
File "/share/MD0_DATA/.qpkg/CouchPotato2/CouchPotato2/libs/pynma/pynma.py", line 106, in push
res = self.callapi('POST', ADD_PATH, datas)
File "/share/MD0_DATA/.qpkg/CouchPotato2/CouchPotato2/libs/pynma/pynma.py", line 119, in callapi
http_handler.request(method, path, urlencode(args), headers)
File "/opt/QPython2/lib/python2.7/httplib.py", line 1001, in request
self._send_request(method, url, body, headers)
File "/opt/QPython2/lib/python2.7/httplib.py", line 1035, in _send_request
self.endheaders(body)
File "/opt/QPython2/lib/python2.7/httplib.py", line 997, in endheaders
self._send_output(message_body)
File "/opt/QPython2/lib/python2.7/httplib.py", line 850, in _send_output
self.send(msg)
File "/opt/QPython2/lib/python2.7/httplib.py", line 812, in send
self.connect()
File "/opt/QPython2/lib/python2.7/httplib.py", line 1212, in connect
server_hostname=server_hostname)
File "/opt/QPython2/lib/python2.7/ssl.py", line 350, in wrap_socket
_context=self)
File "/opt/QPython2/lib/python2.7/ssl.py", line 566, in __init__
self.do_handshake()
File "/opt/QPython2/lib/python2.7/ssl.py", line 788, in do_handshake
self._sslobj.do_handshake()
SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:581)
encoding=UTF-8 debug=False args=['--data_dir', '/share/MD0_DATA/.qpkg/CouchPotato2/config', '--daemon', '--pid_file', '/share/MD0_DATA/.qpkg/CouchPotato2/config/couchpotato.pid'] app_dir=/share/MD0_DATA/.qpkg/CouchPotato2/CouchPotato2 data_dir=/share/MD0_DATA/.qpkg/CouchPotato2/config desktop=None options=Namespace(config_file='/share/MD0_DATA/.qpkg/CouchPotato2/config/settings.conf', console_log=False, daemon=True, data_dir='/share/MD0_DATA/.qpkg/CouchPotato2/config', debug=False, pid_file='/share/MD0_DATA/.qpkg/CouchPotato2/config/couchpotato.pid', quiet=False)

Should i reinstall the Python 2.7 QPKG?

Hi

Sorry but i haven no idea, look like an event error link to CP not python ..
 

wacko37

Nouveau membre
No problem. Just seen all the Python messages and thought it was related.

Not to worry as all works ok. Thanks Mate
 

wacko37

Nouveau membre
@QoolBox

Hi mate sorry for posting here again but im having another issue with your CP QPKG
Again its seems to be another SSL error relating to QPython.

I am sorry if i offend you but i dont know who or where elese to ask. All help is greatly appricated

The error is happening when it try to use "Notify My Android" "Test" Please see logs below


06-09 08:46:06 ERROR [ couchpotato.api] Failed doing api request "notify.notifymyandroid.test": Traceback (most recent call last):
File "/share/MD0_DATA/.qpkg/CouchPotato2/CouchPotato2/couchpotato/api.py", line 36, in run_handler
res = api[route](**kwargs)
File "/share/MD0_DATA/.qpkg/CouchPotato2/CouchPotato2/couchpotato/core/notifications/base.py", line 65, in test
listener = 'test'
File "/share/MD0_DATA/.qpkg/CouchPotato2/CouchPotato2/couchpotato/core/notifications/base.py", line 50, in _notify
return self.notify(*args, **kwargs)
File "/share/MD0_DATA/.qpkg/CouchPotato2/CouchPotato2/couchpotato/core/notifications/notifymyandroid.py", line 27, in notify
batch_mode = len(keys) > 1
File "/share/MD0_DATA/.qpkg/CouchPotato2/CouchPotato2/libs/pynma/pynma.py", line 106, in push
res = self.callapi('POST', ADD_PATH, datas)
File "/share/MD0_DATA/.qpkg/CouchPotato2/CouchPotato2/libs/pynma/pynma.py", line 119, in callapi
http_handler.request(method, path, urlencode(args), headers)
File "/opt/QPython2/lib/python2.7/httplib.py", line 1001, in request
self._send_request(method, url, body, headers)
File "/opt/QPython2/lib/python2.7/httplib.py", line 1035, in _send_request
self.endheaders(body)
File "/opt/QPython2/lib/python2.7/httplib.py", line 997, in endheaders
self._send_output(message_body)
File "/opt/QPython2/lib/python2.7/httplib.py", line 850, in _send_output
self.send(msg)
File "/opt/QPython2/lib/python2.7/httplib.py", line 812, in send
self.connect()
File "/opt/QPython2/lib/python2.7/httplib.py", line 1212, in connect
server_hostname=server_hostname)
File "/opt/QPython2/lib/python2.7/ssl.py", line 350, in wrap_socket
_context=self)
File "/opt/QPython2/lib/python2.7/ssl.py", line 566, in __init__
self.do_handshake()
File "/opt/QPython2/lib/python2.7/ssl.py", line 788, in do_handshake
self._sslobj.do_handshake()
SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:581)
```
 

QoolBox

Grand Maître Jedi
Hi Wacko,

as you can see :

Code:
SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:581)

he cannot verfify your certificate
 

wacko37

Nouveau membre
Ahhh I see. Thanks for your reply QoolBox.

Bloody hell a lot of SSL issues happening on all programs sickbeard, NMA, CP.

Is this just qnap issues or is this happening on all platforms?
 

QoolBox

Grand Maître Jedi
I think this applications are using still old TLS cert and since the latest embedded OpenSSL fixed issue regarding last security issue.
it may inpact apps using old protocol unused anymoore and also on some Cypher may miss.

i am not sure, i am not good in enough in it..

But i saw a thread talking about that for Sonarr


:(
 

wacko37

Nouveau membre
@Qoolbox

i hope all is well with you? I noticed you have been active on the Qnap.com forums.

sadly I have been getting a few unrar error with your qpkg. I have tried with the qpkg from here: http://forum.qnap.com/viewtopic.php?f=269&t=40596

the unrar works OK with that version but not with yours.

this is the error I am getting.

09-15 19:49:21 ERROR [tato.core.plugins.renamer] Failed to extract /share/Download/rtorrent/complete/couchpotato/Spy.2015.1080p.BluRay.x264-SPARKS/Subs/spy.2015.1080p.bluray.x264-sparks.subs.rar: Unsupported RAR version, expected 4.x or 5.x, found: 3.60 Traceback (most recent call last):
File "/share/MD0_DATA/.qpkg/QCouchPotato/CouchPotatoServer-master/couchpotato/core/plugins/renamer.py", line 1209, in extractFiles
rar_handle = RarFile(archive['file'], custom_path = unrar_path)
File "/share/MD0_DATA/.qpkg/QCouchPotato/CouchPotatoServer-master/libs/unrar2/__init__.py", line 102, in __init__
RarFileImplementation.init(self, password, custom_path)
File "/share/MD0_DATA/.qpkg/QCouchPotato/CouchPotatoServer-master/libs/unrar2/unix.py", line 123, in init
+ signature.split(" ")[1])
UnpackerNotInstalled: Unsupported RAR version, expected 4.x or 5.x, found: 3.60

I hope you can help.

thankyou

p.s please see this forum they are talking about the same problem which was fixed in the qnap.com qpkg by Clinton
https://github.com/RuudBurger/CouchPotatoServer/issues/4816
 

QoolBox

Grand Maître Jedi
wacko37 a dit:
@Qoolbox

i hope all is well with you? I noticed you have been active on the Qnap.com forums.

sadly I have been getting a few unrar error with your qpkg. I have tried with the qpkg from here: http://forum.qnap.com/viewtopic.php?f=269&t=40596

the unrar works OK with that version but not with yours.

this is the error I am getting.

09-15 19:49:21 ERROR [tato.core.plugins.renamer] Failed to extract /share/Download/rtorrent/complete/couchpotato/Spy.2015.1080p.BluRay.x264-SPARKS/Subs/spy.2015.1080p.bluray.x264-sparks.subs.rar: Unsupported RAR version, expected 4.x or 5.x, found: 3.60 Traceback (most recent call last):
File "/share/MD0_DATA/.qpkg/QCouchPotato/CouchPotatoServer-master/couchpotato/core/plugins/renamer.py", line 1209, in extractFiles
rar_handle = RarFile(archive['file'], custom_path = unrar_path)
File "/share/MD0_DATA/.qpkg/QCouchPotato/CouchPotatoServer-master/libs/unrar2/__init__.py", line 102, in __init__
RarFileImplementation.init(self, password, custom_path)
File "/share/MD0_DATA/.qpkg/QCouchPotato/CouchPotatoServer-master/libs/unrar2/unix.py", line 123, in init
+ signature.split(" ")[1])
UnpackerNotInstalled: Unsupported RAR version, expected 4.x or 5.x, found: 3.60

I hope you can help.

thankyou

Made an unrar 5.1.2 package


http://www.positiv-it.fr/QNAP/APP/Unrar_5.1.2_x86.qpkg.zip

it adds automaitcally unrar to NAS PATH on start QPKG and remove it on stop QPKG
 
Haut Bas